import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/bgyp/mob-mobmdctrl/mob-mobmdctrl.module';
import {BGYPMobPickupMDViewPage} from './bgypmob-pickup-mdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: BGYPMobPickupMDViewPage}])
  ],
  exports:[RouterModule]
})
export class BGYPMobPickupMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    BGYPMobPickupMDViewRouteModule,
    MdctrlModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [BGYPMobPickupMDViewPage],
  entryComponents:[BGYPMobPickupMDViewPage],
  exports:[BGYPMobPickupMDViewPage]
})
export class BGYPMobPickupMDViewModule {}
