import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/qj/mob-mobmdctrl/mob-mobmdctrl.module';
import { RighttoolbarModule } from '@widget/qj/mob-mdviewrighttoolbar-toolbar/mob-mdviewrighttoolbar-toolbar.module';
import {QJUsr2MobEditViewModule} from '@pages/demo/qjusr2-mob-edit-view/qjusr2-mob-edit-view.module';
import {QJMobMDViewPage} from './qjmob-mdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: QJMobMDViewPage}])
  ],
  exports:[RouterModule]
})
export class QJMobMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    QJMobMDViewRouteModule,
    MdctrlModule,RighttoolbarModule,
    QJUsr2MobEditViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [QJMobMDViewPage],
  entryComponents:[QJMobMDViewPage],
  exports:[QJMobMDViewPage]
})
export class QJMobMDViewModule {}
