import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { DRTabModule } from '@widget/qj/default-drtab/default-drtab.module';
import { QuicktoolbarModule } from '@widget/qj/mob-wfedit-view3quicktoolbar-toolbar/mob-wfedit-view3quicktoolbar-toolbar.module';
import { EditFormModule } from '@widget/qj/mob-form-form/mob-form-form.module';
import { RighttoolbarModule } from '@widget/qj/mob-wfedit-view3righttoolbar-toolbar/mob-wfedit-view3righttoolbar-toolbar.module';
import {QJMobWFActionViewModule} from '@pages/demo/qjmob-wfaction-view/qjmob-wfaction-view.module';
import {QJMobWFStartViewModule} from '@pages/demo/qjmob-wfstart-view/qjmob-wfstart-view.module';
import {QJMobWFEditView3Page} from './qjmob-wfedit-view3.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: QJMobWFEditView3Page}])
  ],
  exports:[RouterModule]
})
export class QJMobWFEditView3RouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    QJMobWFEditView3RouteModule,
    DRTabModule,QuicktoolbarModule,EditFormModule,RighttoolbarModule,
    QJMobWFActionViewModule,
    QJMobWFStartViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [QJMobWFEditView3Page],
  entryComponents:[QJMobWFEditView3Page],
  exports:[QJMobWFEditView3Page]
})
export class QJMobWFEditView3Module {}
