import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { MdctrlModule } from '@widget/qj/mob-mobmdctrl/mob-mobmdctrl.module';
import { RighttoolbarModule } from '@widget/qj/qjsp-d-mob-wfmdviewrighttoolbar-toolbar/qjsp-d-mob-wfmdviewrighttoolbar-toolbar.module';
import {QJQJSP_D_MobWFEditViewModule} from '@pages/demo/qjqjsp-d-mob-wfedit-view/qjqjsp-d-mob-wfedit-view.module';
import {QJQJSP_D_MobWFMDViewPage} from './qjqjsp-d-mob-wfmdview.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: QJQJSP_D_MobWFMDViewPage}])
  ],
  exports:[RouterModule]
})
export class QJQJSP_D_MobWFMDViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    QJQJSP_D_MobWFMDViewRouteModule,
    MdctrlModule,RighttoolbarModule,
    QJQJSP_D_MobWFEditViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [QJQJSP_D_MobWFMDViewPage],
  entryComponents:[QJQJSP_D_MobWFMDViewPage],
  exports:[QJQJSP_D_MobWFMDViewPage]
})
export class QJQJSP_D_MobWFMDViewModule {}
