import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { EditFormModule } from '@widget/xm/mob-form-form/mob-form-form.module';
import { RighttoolbarModule } from '@widget/xm/mob-edit-viewrighttoolbar-toolbar/mob-edit-viewrighttoolbar-toolbar.module';
import {XMMobEditViewPage} from './xmmob-edit-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: XMMobEditViewPage}])
  ],
  exports:[RouterModule]
})
export class XMMobEditViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    XMMobEditViewRouteModule,
    EditFormModule,RighttoolbarModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [XMMobEditViewPage],
  entryComponents:[XMMobEditViewPage],
  exports:[XMMobEditViewPage]
})
export class XMMobEditViewModule {}

