import { IonicModule } from '@ionic/angular';
import { RouterModule } from '@angular/router';
import { NgModule,CUSTOM_ELEMENTS_SCHEMA } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { ShareModule } from '@share/share.module';
import { PickupviewpanelModule } from '@widget/xm/mob-pickup-viewpickupviewpanel-pickupviewpanel/mob-pickup-viewpickupviewpanel-pickupviewpanel.module';
import {XMMobPickupMDViewModule} from '@pages/demo/xmmob-pickup-mdview/xmmob-pickup-mdview.module';
import {XMMobPickupViewPage} from './xmmob-pickup-view.page';


@NgModule({
  imports: [
    RouterModule.forChild([{ path: '', component: XMMobPickupViewPage}])
  ],
  exports:[RouterModule]
})
export class XMMobPickupViewRouteModule {}

@NgModule({
  imports: [
    IonicModule,
    CommonModule,
    FormsModule,
    ShareModule,
    XMMobPickupViewRouteModule,
    PickupviewpanelModule,
    XMMobPickupMDViewModule,
  ],
  schemas: [CUSTOM_ELEMENTS_SCHEMA],
  declarations: [XMMobPickupViewPage],
  entryComponents:[XMMobPickupViewPage],
  exports:[XMMobPickupViewPage]
})
export class XMMobPickupViewModule {}
